Bug 126051 - Accessing XML-RPC over HTTP gives 302 redirect instead of XML-RPC fault
Accessing XML-RPC over HTTP gives 302 redirect instead of XML-RPC fault
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2004-06-15 11:30 EDT by Daniel Berrange
Modified: 2007-04-18 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-03 12:21:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-06-15 11:30:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20031008 Galeon/1.3.14

Description of problem:
The documentation describing how to use the XML-RPC API for RHN from
Perl illustrates connecting to 'http://rhn.redhat.com/rpc/api'. When
running the example code, however, the Frontier::Client module simply
exits with '302 Found'. Either the documentation for the API should be
updated to make it clear that the SSL URL should be used, or the
http:// server should provide an XML-RPC Fault reponse. One other
strange thing is that different behaviour is exhibited when connecting
to a RHN satellite server - where non-SSL connections work fine. Its
only rhn.redhat.com that appears to refuse non-SSL connections.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run the code

use Frontier::Client;

my $client = Frontier::Client->new(
  url => "http://rhn.redhat.com/rpc/api", 
  use_objects => 1, 
  debug => 1);

print "System version ", $client->call("api.system_version"), "\n";

Actual Results:  <?xml version="1.0"?>
302 Found

Expected Results:  Either it should work as per SSL url:

---- request ----
<?xml version="1.0"?>
---- response ----
<?xml version="1.0"?>
System version Frontier::RPC2::String=SCALAR(0x81fd758)

Or should return a Fault with a message 'Should use SSL for API access'

Additional info:

See mailing list thread


Note You need to log in before you can comment on or make changes to this bug.